=== debian/control ===
Source: xfonts-kappa20
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: xfonts-utils,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/fonts-team/xfonts-kappa20.git
Vcs-Browser: https://salsa.debian.org/fonts-team/xfonts-kappa20
Rules-Requires-Root: no

Package: xfonts-kappa20
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: xserver
Breaks: xbase-clients (<< 4.0)
Description: X11 Kappa 20dot Fonts (ISO-8859-1..4/9/10/13..16, Japanese) with bold
 This package contains X11 Kappa 20dot Fonts including:
  * 10x20 ISO-8859 (-1, -2, -3, -4, -9, -10, -13, -14, -15, -16) Serif/Mincho
  * 20x20 Japanese (JIS X 0208:1983, 0208:1990, 0208:1997, 0213:2000) Mincho
  * 10x20 Mule IPA
 All fonts are provided with both medium and bold.  Its shape is high quality,
 high readability, and useful for looking at high-resolution monitor.
