=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --no-parallel

override_dh_auto_build:
	mkdir $(CURDIR)/pcf || true
	dh_auto_build
